<?php
    
    function allergens_list_910_show_allergen_in_product() {
        global $post;

        $html = '';

        $all = allergens_list_910_get_options();
        $set = get_post_meta( $post->ID, 'allergens_list', true);

        $current = array();
        if (!empty($set)) {

            foreach ($all as $key => $item) {
                if (in_array($key, $set)) {
                    $current[$key] = $item;
                }
            } 
            
            $html = apply_filters('allergens_list_html_hook', $current);
            
        }
        
        if (!empty($html)) {
            echo $html;
        }        
    }
    add_action( 'woocommerce_before_add_to_cart_form', 'allergens_list_910_show_allergen_in_product', 10, 2 );      
    add_action( 'woocommerce_after_shop_loop_item_title', 'allergens_list_910_show_allergen_in_product', 10, 2 );
